module.exports = {
    title: 'Millui',
    base: '/millui/',
    description: '一个为开发者准备的 Flutter ui 库',
    head: [
      ['link', { rel: 'icon', href: '/millui1_1.png' }],
      ['link', { rel: 'stylesheet', href: '/index.css' }],
    ],
    themeConfig: {
      logo: '/millui.png',
      smoothScroll: true,
      locales: {
        '/en/': {
            selectText: 'Languages',
            label: 'English',
            lang: 'en-US', 
            nav: [
                {
                text: "Guide",
                link: "/en/guide/home.html"
                },
                {
                text: "Components",
                link: "/en/components/home.html"
                },
            ],
            sidebar: {
                '/en/components/': [
                {
                    title: '组件',
                    collapsable: false,
                    children: [
                    'home.md',
                    'MillButton.md',
                    'MillDialog.md',
                    'MillIcons.md',
                    'MillToast.md'
                    ]
                },
                ],
                '/en/guide/': [
                {
                    title: '配置',
                    collapsable: false,
                    children: [
                    'home.md'
                    ]
                }
                ]
            },
            description: 'Flutter ui'
        },
        '/': {
            selectText: '选择语言',
            label: '简体中文',
            lang: 'zh-CN',
            nav: [
                {
                    text: "指南",
                    link: "/zh/guide/home.html"
                },
                {
                    text: "组件",
                    link: "/zh/components/home.html"
                },
          ],
          sidebar: {
            '/zh/components/': [
              {
                title: '开发指南',
                collapsable: false,
                children: [
                  'home.md',
                  'log.md'
                ]
              },
              {
                title: '组件',
                collapsable: false,
                children: [
                  'Icons 图标.md',
                  'Loading 加载中.md',
                  'Button 按钮.md',
                  'Toast 轻提示.md',
                  'Dialog 对话框.md',
                  'ActionSheet 动作面板.md',
                  'Notice 通知.md',
                  'NoticeBar 通知栏.md',
                  'DropDown 下拉菜单.md',
                  'CheckBox 复选框.md',
                  'CascaderCheckbox  级联多选.md',
                  'Tree 树.md',
                  'SwipeCell  滑动单元格.md',
                  'Search 搜索框.md',
                  'Field 输入框.md',
                  'Swiper 轮播.md',
                  'Refresh  下拉刷新.md',
                  'Picker 选择器.md',
                  'Tag 标签.md',
                  'RadioTag 单选标签.md',
                  'Steps 步骤条.md',
                ]
              },
            ],
            '/zh/guide/': [
              {
                collapsable: false,
                children: [
                  'home.md'
                ]
              }
            ]
          },
          description: 'Flutter ui 框架'
        }
      }
    },
    configureWebpack: {
      resolve: {
        alias: {
          '@alias': 'public'
        }
      }
    },
    plugins: [],
  }