import 'package:flutter/material.dart';
import 'package:millui_app/pages/icon.dart';
import 'package:millui_app/pages/toastlist/toastlist.dart';
import 'package:millui_app/pages/checklist/checklist.dart';
import 'package:millui_app/pages/treelist/treelist.dart';
import 'package:millui_app/pages/cascader/cascader.dart';
import 'package:millui_app/pages/picker/picker.dart';
import 'package:millui_app/pages/buttonlist/buttonlist.dart';
import 'package:millui_app/pages/dialog_list/dialog_list.dart';
import 'package:millui_app/pages/field_list/field_list.dart';
import 'package:millui_app/pages/icon.dart';
import 'package:millui_app/pages/notice_bar/notice_bar.dart';
import 'package:millui_app/pages/refash/refash.dart';
import 'package:millui_app/pages/swipe_cell/swipe_cell.dart';
import 'package:millui_app/pages/action_sheet/action_sheet.dart';
import 'package:millui_app/pages/swiper/swiper.dart';
import 'package:millui_app/pages/notices/notices.dart';
import 'package:millui_app/pages/search/search.dart';
import 'package:millui_app/pages/dropdown/dropdown.dart';
import 'package:millui_app/pages/loading.dart';
import 'package:millui_app/pages/radio_tag/radio_tag.dart';
import 'package:millui_app/pages/tag/tag.dart';
import 'package:millui_app/pages/steps/steps.dart';
import 'package:millui_app/pages/common.dart';
import 'package:provider/provider.dart';
import 'app_provider.dart';

class HomePage extends StatelessWidget {
  _pushRoute(data, context) {
    Navigator.push(
      context,
      new MaterialPageRoute<Null>(
          builder: (BuildContext context) {
            Widget cla = data['route'];
            return cla;
          },
          fullscreenDialog: true),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Container(
        child: ListView(
            children: lists
                .map((item) => GestureDetector(
                      onTap: () {
                        _pushRoute(item, context);
                      },
                      child: Container(
                        padding: EdgeInsets.all(20),
                        decoration: BoxDecoration(
                            color: Color(0xffffffff),
                            border: Border(
                                bottom: BorderSide(
                              width: 1,
                              color: Color(0xffe9e9e9),
                            ))),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.start,
                          children: <Widget>[
                            Text(
                              item['name'],
                              style: TextStyle(fontSize: 16),
                            ),
                            Padding(padding: EdgeInsets.only(left: 8)),
                            Provider.of<LanaguageProvider>(context).language ==
                                    'zh-CN'
                                ? Text(
                                    item['cn'],
                                    style: TextStyle(fontSize: 16),
                                  )
                                : Container(),
                          ],
                        ),
                      ),
                    ))
                .toList()));
  }
}

class Class {}

List lists = [
  {
    "name": "Icons",
    "cn": "图标",
    "route": Iconlist(),
  },
  {
    "name": "Loading",
    "cn": "加载中",
    "route": Loadinglist(),
  },
  {
    "name": "Button",
    "cn": "按钮",
    "route": Buttonlist(),
  },
  {
    "name": "Toast",
    "cn": "轻提示",
    "route": Toastlist(),
  },
  {
    "name": "Dialog",
    "cn": "弹出框",
    "route": DialogList(),
  },
  {
    "name": "NoticeBar",
    "cn": "通告栏",
    "route": NoticeBar(),
  },
  {
    "name": "Checkbox",
    "cn": "复选框",
    "route": Checklist(),
  },
  {
    "name": "Tree",
    "cn": "选择树",
    "route": Treelist(),
  },
  {
    "name": "Cascader",
    "cn": "级联选择",
    "route": Cascader(),
  },
  {
    "name": "Field",
    "cn": "输入框",
    "route": Fieldlist(),
  },
  {
    "name": "SwipeCell",
    "cn": "滑动单元格",
    "route": SwipeCell(),
  },
  {
    "name": "refash",
    "cn": "下拉刷新",
    "route": Refash(),
  },
  {
    "name": "Picker",
    "cn": "选择器",
    "route": Picker(),
  },
  {
    "name": "ActionSheet",
    "cn": "动作面板",
    "route": ActionSheet(),
  },
  {
    "name": "Swipe",
    "cn": "轮播",
    "route": Swiper(),
  },
  {
    "name": "Notice",
    "cn": "通知",
    "route": Notices(),
  },
  {
    "name": "Search",
    "cn": "搜索",
    "route": Search(),
  },
  {
    "name": "Dropdown",
    "cn": "下拉菜单",
    "route": Dropdown(),
  },
  {
    "name": "Tag",
    "cn": "标签",
    "route": Tag(),
  },
  {
    "name": "RadioTag",
    "cn": "单选标签",
    "route": RadioTag(),
  },
  {
    "name": "Steps",
    "cn": "步骤条",
    "route": Steps(),
  },
  {
    "name": "Base Widget",
    "cn": "基础 widget",
    "route": Common(),
  }
];
