import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class Common extends StatefulWidget {
  _Common createState() => new _Common();
}

class _Common extends State<Common> {
  @override
  void initState() {
    MillText.errorColor = Color(0xfff56c6c);
    MillText.themeColor = Color(0xff409eff);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String btnText = isCn ? '确定' : 'OK';
    return Scaffold(
        appBar: AppBar(
          title: Text('widget'),
        ),
        body: Container(
          padding: EdgeInsets.all(10),
          child: ListView(
            children: <Widget>[
              Container(
                alignment: Alignment.centerLeft,
                child: MillText.black('快速设置字体', 16),
              ),
              Container(
                alignment: Alignment.centerLeft,
                child: MillText.black('频繁设置 TextStyle 太麻烦了。', 12),
              ),
              Container(
                alignment: Alignment.centerLeft,
                child:
                    MillText.black('MillText(); 可直接设置 TextStyle 的属性， 如:', 12),
              ),
              Container(
                alignment: Alignment.centerLeft,
                child: MillText.black(
                    'MillText("222", color: Colors.white, fontSize: 12,)', 11),
              ),
              Container(
                alignment: Alignment.centerLeft,
                child: MillText.black(
                    'MillText.white(..., 12)，MillText.black 更加便捷，只设置字体大小。', 12),
              ),
              Container(
                height: 22,
                alignment: Alignment.centerLeft,
                child: MillText.black(
                    'MillText.w12 最简洁。w 代表白色， 12 代表字体大小为 12', 12),
              ),
              Container(
                alignment: Alignment.centerLeft,
                child: MillText.black(r'''
w 白色， b 黑色， e 错误颜色, p 主题色; 调用方式如下
MillText.w12/MillText.b12/MillText.e12;
''', 12),
              ),
              Container(
                child: MillText.b12(r'''
可以通过以下方法设置默认颜色：
MillText.errorColor = Color(0xfff56c6c);
MillText.themeColor = Color(0xff409eff);
MillText.blackColor = Color(0xff343434);
MillText.whiteColor = Color(0xffffff3f);
'''),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.redAccent,
                child: MillText.w12('MillText.w12(...)'),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.green,
                child: MillText.w14('w14(w: 代表白色，14 代表字号)'),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.blueAccent,
                child: MillText.white('MillText.white(.., 12)', 12),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.orange,
                child: MillText.white('MillText.white(a) 默认 fontSize 14'),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.blue[50],
                child: MillText.black('MillText.black(a);'),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.purple[50],
                child: MillText.black('MillText.black(a, 16);', 16),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.orange[50],
                child: MillText.black(
                  'MillText.black(a, 12, Color(0xff999999));',
                  12,
                  Color(0xff999999),
                ),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                color: Colors.purple,
                child: MillText(
                  'MillText(text, fontSize: 10, colors: Colors.white,);',
                  fontSize: 10,
                  color: Colors.white,
                ),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                child: MillText.e12('MillText.e12'),
              ),
              Container(
                height: 38,
                margin: Millui.top(10),
                alignment: Alignment.center,
                child: MillText.p12('MillText.e12'),
              ),
              GestureDetector(
                child: Container(
                  child: Text('获取当前版本'),
                ),
                onTap: () async {
                  var res = await Millui.platform.getSdkVersion();
                  print('----');
                  print(res);
                },
              ),
            ],
          ),
        ));
  }
}
