import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Picker extends StatefulWidget {
  _Picker createState() => new _Picker();
}

class _Picker extends State<Picker> with SingleTickerProviderStateMixin {
  int singleValue = 3;
  List<dynamic> mulValue = [];
  List<dynamic> mul2Value = [];
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    dynamic singleObj = single.firstWhere((el) => el['value'] == singleValue);
    String mulTxt = mulValue.map((val) => val['label']).join('-');
    String mul2Txt = mul2Value.map((val) => val['label']).join('-');
    List<dynamic> initValue = [singleValue];
    List<dynamic> initMulValue = mulValue.map((el) => el['value']).toList();
    List<dynamic> initmul2Value = mul2Value.map((el) => el['value']).toList();

    return Scaffold(
      appBar: AppBar(
        title: Text('picker'),
      ),
      body: new Column(
        // crossAxisAlignment: CrossAxisAlignment.stretch,
        children: [
          GestureDetector(
            onTap: () {
              MillPicker.year(context: context, initValue: 2002);
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择年'),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.month(context: context, initValue: 5);
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择月'),
            ),
          ),
          GestureDetector(
            onTap: () {
              showMillDatePicker(
                  context: context,
                  title: '选择日期',
                  confirmText: 'ok',
                  onConfirm: (newdate) {
                    print(newdate);
                  });
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择日期'),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.pick(
                context: context,
                title: '选择类型',
                confirmText: '选择',
                list: single,
                onConfirm: (val) {
                  setState(() {
                    singleValue = val['value'];
                  });
                },
                initValue: initValue,
              );
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text(singleObj['label'] ?? '单项选择'),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.pick(
                context: context,
                title: '选择类型',
                confirmText: '选择',
                list: mul,
                account: 3,
                onConfirm: (val) {
                  setState(() {
                    mulValue = val;
                  });
                },
                initValue: initMulValue,
              );
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text(mulTxt == null || mulTxt == '' ? '多项选择' : mulTxt),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.pick(
                context: context,
                title: '选择类型',
                confirmText: '选择',
                list: mul1,
                account: 3,
                onConfirm: (val) {
                  setState(() {
                    mul2Value = val;
                  });
                },
                initValue: initmul2Value,
              );
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text(mul2Txt == null || mul2Txt == '' ? '多项选择' : mul2Txt),
            ),
          ),
        ],
      ),
    );
  }
}

List single = [
  {
    'label': '苹果',
    'value': 0,
  },
  {
    'label': '梨',
    'value': 1,
  },
  {
    'label': '桃子',
    'value': 2,
  },
  {
    'label': '西瓜',
    'value': 3,
  },
  {
    'label': '橘子',
    'value': 4,
  },
  {
    'label': '香蕉',
    'value': 5,
  }
];

List mul = [
  {
    'label': '水果',
    'value': 0,
    'children': [
      {
        'label': '梨',
        'value': 1,
      },
      {
        'label': '桃子',
        'value': 2,
      },
      {
        'label': '西瓜',
        'value': 3,
      },
      {
        'label': '橘子',
        'value': 4,
      },
      {
        'label': '香蕉',
        'value': 5,
      }
    ],
  },
  {
    'label': '蔬菜',
    'value': 1,
    'children': [
      {
        'label': '西红柿',
        'value': 11,
      },
      {
        'label': '黄瓜',
        'value': 12,
      },
      {
        'label': '西葫芦',
        'value': 13,
      },
      {
        'label': '菠菜',
        'value': 14,
      },
      {
        'label': '油菜',
        'value': 15,
      },
      {
        'label': '萝卜',
        'value': 16,
      }
    ],
  },
  {
    'label': '玩具',
    'value': 2,
    'children': [
      {
        'label': '小汽车',
        'value': 21,
      },
      {
        'label': '大汽车',
        'value': 22,
      },
      {
        'label': '小飞机',
        'value': 23,
      },
      {
        'label': '大飞机',
        'value': 24,
      },
      {
        'label': '变形金刚',
        'value': 25,
      }
    ],
  }
];

List mul1 = [
  {
    'label': '山东',
    'value': 4,
    'children': [
      {
        'label': '济南',
        'value': 31,
        'children': [
          {
            'label': '槐荫',
            'value': 311,
          },
          {
            'label': '市中区',
            'value': 313,
          },
          {
            'label': '历下区',
            'value': 314,
          }
        ],
      },
      {
        'label': '青岛',
        'value': 32,
        'children': [
          {
            'label': '崂山',
            'value': 329,
          },
          {
            'label': '市中区',
            'value': 323,
          },
          {
            'label': '仓宁',
            'value': 324,
          }
        ],
      },
      {
        'label': '潍坊',
        'value': 33,
        'children': [
          {
            'label': '诸城市',
            'value': 311,
          },
          {
            'label': '市中区',
            'value': 313,
          },
          {
            'label': '外城区',
            'value': 314,
          }
        ],
      },
      {
        'label': '临沂',
        'value': 34,
        'children': [
          {
            'label': '兰山区',
            'value': 341,
          },
          {
            'label': '费县',
            'value': 343,
          },
          {
            'label': '河东区',
            'value': 344,
          },
          {
            'label': '罗庄',
            'value': 345,
          }
        ],
      }
    ],
  }
];
