import 'package:flutter/material.dart';

class MillText extends Text {
  static Color whiteColor = Color(0xffffffff);
  static Color blackColor = Color(0xff333333);
  static Color errorColor = Color(0xfff56c6c);
  static Color themeColor = Color(0xff409eff);

  MillText(
    String content, {
    Color color,
    Color backgroundColor,
    double fontSize,
    FontWeight fontWeight,
    FontStyle fontStyle,
    TextDecoration decoration,
    Color decorationColor,
    TextDecorationStyle decorationStyle,
    int maxLines,
    TextStyle style,
    strutStyle,
    textAlign,
    textDirection,
    locale,
    softWrap,
    overflow,
    textScaleFactor,
    semanticsLabel,
    textWidthBasis,
    textHeightBehavior,
  }) : super(
          content,
          style: style != null
              ? style.copyWith(
                  color: color,
                  backgroundColor: backgroundColor,
                  fontSize: fontSize,
                  fontWeight: fontWeight,
                  fontStyle: fontStyle,
                  decoration: decoration,
                  decorationColor: decorationColor,
                  decorationStyle: decorationStyle,
                )
              : TextStyle(
                  color: color,
                  backgroundColor: backgroundColor,
                  fontSize: fontSize,
                  fontWeight: fontWeight,
                  fontStyle: fontStyle,
                  decoration: decoration,
                  decorationColor: decorationColor,
                  decorationStyle: decorationStyle,
                ),
          maxLines: maxLines,
          strutStyle: strutStyle,
          textAlign: textAlign,
          textDirection: textDirection,
          locale: locale,
          softWrap: softWrap,
          overflow: overflow,
          textScaleFactor: textScaleFactor,
          semanticsLabel: semanticsLabel,
          textWidthBasis: textWidthBasis,
          textHeightBehavior: textHeightBehavior,
        );

  MillText.white(
    String content, [
    double size = 14,
  ]) : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: size ?? 14,
          ),
        );
  MillText.black(
    String content, [
    double size,
    Color color,
  ]) : super(
          content,
          style: TextStyle(
            color: color ?? MillText.blackColor,
            fontSize: size ?? 14,
          ),
        );
  MillText.w12(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 12,
          ),
        );
  MillText.w14(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 14,
          ),
        );
  MillText.w16(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 16,
          ),
        );
  MillText.w18(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 18,
          ),
        );
  MillText.w20(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 20,
          ),
        );
  MillText.w26(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.whiteColor,
            fontSize: 26,
          ),
        );
  MillText.b12(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 12,
          ),
        );
  MillText.b14(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 14,
          ),
        );
  MillText.b16(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 16,
          ),
        );
  MillText.b18(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 18,
          ),
        );
  MillText.b20(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 20,
          ),
        );
  MillText.b26(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.blackColor,
            fontSize: 26,
          ),
        );
  MillText.e12(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 12,
          ),
        );
  MillText.e14(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 14,
          ),
        );
  MillText.e16(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 16,
          ),
        );
  MillText.e18(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 18,
          ),
        );
  MillText.e20(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 20,
          ),
        );
  MillText.e26(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.errorColor,
            fontSize: 26,
          ),
        );
  MillText.p12(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 12,
          ),
        );
  MillText.p14(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 14,
          ),
        );
  MillText.p16(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 16,
          ),
        );
  MillText.p18(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 18,
          ),
        );
  MillText.p20(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 20,
          ),
        );
  MillText.p26(String content)
      : super(
          content,
          style: TextStyle(
            color: MillText.themeColor,
            fontSize: 26,
          ),
        );
}
