import 'package:flutter/material.dart';

class MillRadioCard extends StatefulWidget {
  MillRadioCard({
    Key key,
    @required this.list,
    @required this.onChanged,
    this.labelAlias = 'label',
    this.valueAlias = 'value',
    this.color = const Color(0xfff0f0f0),
    this.textColor = const Color(0xff343434),
    this.activeColor = const Color(0xff1578ff),
    this.activeTextColor = const Color(0xffffffff),
    this.height = 38,
    this.fontSize = 14,
    this.value,
  }) : super(key: key);

  final List<dynamic> list;
  final String labelAlias;
  final String valueAlias;
  final Color color;
  final Color textColor;
  final Color activeColor;
  final Color activeTextColor;
  final double height;
  final double fontSize;
  final Function onChanged;
  final value;

  _MillRadioCard createState() => _MillRadioCard();
}

class _MillRadioCard extends State<MillRadioCard> {
  @override
  Widget build(BuildContext context) {
    dynamic value = widget.value ?? widget.list[0][widget.valueAlias];
    return Container(
      child: Row(
        children: List.generate(
          widget.list.length,
          (index) => GestureDetector(
            onTap: () {
              widget.onChanged(widget.list[index]);
            },
            child: Container(
              height: widget.height,
              alignment: Alignment.center,
              decoration: BoxDecoration(
                color: widget.list[index][widget.valueAlias] == value
                    ? widget.activeColor
                    : widget.color,
                borderRadius: index == 0
                    ? BorderRadius.only(
                        topLeft: Radius.circular(widget.height / 2),
                        bottomLeft: Radius.circular(widget.height / 2),
                      )
                    : index + 1 == widget.list.length
                        ? BorderRadius.only(
                            topRight: Radius.circular(widget.height / 2),
                            bottomRight: Radius.circular(widget.height / 2),
                          )
                        : null,
                border: Border(
                  top: BorderSide(
                    color: Color(0xffffffff),
                    width: index != 0 ? 0.5 : 0.0,
                  ),
                  bottom: BorderSide(
                    color: Color(0xffffffff),
                    width: index != 0 ? 0.5 : 0.0,
                  ),
                  right: BorderSide(
                    color: Color(0xffffffff),
                    width: index != 0 ? 0.5 : 0.0,
                  ),
                  left: BorderSide(
                    color: Color(0xffffffff),
                    width: index != 0 ? 0.5 : 0.0,
                  ),
                ),
              ),
              padding: EdgeInsets.symmetric(horizontal: 12),
              child: Text(
                widget.list[index][widget.labelAlias] ?? '',
                style: TextStyle(
                  fontSize: widget.fontSize,
                  color: widget.list[index][widget.valueAlias] == value
                      ? widget.activeTextColor
                      : widget.textColor,
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
