import 'package:flutter/material.dart';

class MillRadioTag extends StatefulWidget {
  MillRadioTag({
    Key key,
    @required this.list,
    @required this.onChanged,
    this.labelAlias = 'label',
    this.valueAlias = 'value',
    this.color = const Color(0xfff0f0f0),
    this.textColor = const Color(0xff343434),
    this.activeColor = const Color(0xff1578ff),
    this.activeTextColor = const Color(0xffffffff),
    this.height = 28,
    this.fontSize = 14,
    this.value,
    this.wrap = false,
    this.maxWidth = 300,
  }) : super(key: key);

  final List<dynamic> list;
  final String labelAlias;
  final String valueAlias;
  final Color color;
  final Color textColor;
  final Color activeColor;
  final Color activeTextColor;
  final double height;
  final double fontSize;
  final Function onChanged;
  final bool wrap;
  final double maxWidth;
  final value;

  _MillRadioTag createState() => _MillRadioTag();
}

class _MillRadioTag extends State<MillRadioTag> {
  @override
  Widget build(BuildContext context) {
    dynamic value = widget.value ?? widget.list[0][widget.valueAlias];
    List<Widget> children = List.generate(
      widget.list.length,
      (index) => GestureDetector(
        onTap: () {
          widget.onChanged(widget.list[index]);
        },
        child: Padding(
          padding: EdgeInsets.only(
            top: 6,
            bottom: 6,
            left: index == 0 ? 0 : 5,
            right: index + 1 == widget.list.length ? 0 : 5,
          ),
          child: UnconstrainedBox(
            child: Container(
              height: widget.height,
              alignment: Alignment.center,
              decoration: BoxDecoration(
                color: widget.list[index][widget.valueAlias] == value
                    ? widget.activeColor
                    : widget.color,
                borderRadius: BorderRadius.circular(widget.height / 2),
              ),
              padding: EdgeInsets.symmetric(horizontal: 12),
              child: LimitedBox(
                maxWidth: widget.maxWidth,
                child: Text(
                  widget.list[index][widget.labelAlias] ?? '',
                  maxLines: 1,
                  overflow: TextOverflow.ellipsis,
                  style: TextStyle(
                    fontSize: widget.fontSize,
                    color: widget.list[index][widget.valueAlias] == value
                        ? widget.activeTextColor
                        : widget.textColor,
                  ),
                ),
              ),
            ),
          ),
        ),
      ),
    );
    return Container(
      child: !widget.wrap
          ? Row(
              children: children,
            )
          : Wrap(
              spacing: 0.0,
              runSpacing: 1.0,
              alignment: WrapAlignment.start,
              children: children,
            ),
    );
  }
}
