import 'dart:math';
import 'package:flutter/widgets.dart';

class MillSteps extends StatefulWidget {
  MillSteps({
    @required this.list,
    this.widths,
    this.width,
    this.step = 0,
    this.status = 1, // 1 是完成、同意 2 是错误、拒绝

    this.fontSize = 14,
    this.activeColor = const Color(0xff1578ff),
    this.handleColor = const Color(0xffe6a23c),
  });
  final List<double> widths;
  final double fontSize;
  final double width;
  final int step;
  final int status;
  final List list;
  final Color activeColor;
  final Color handleColor;

  @override
  State<StatefulWidget> createState() => _MillSteps();
}

class _MillSteps extends State<MillSteps> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    int minCount = min(widget.list.length, 6);
    double dwidth = (MediaQuery.of(context).size.width - 30) / minCount;
    if (widget.width != null) {
      dwidth = widget.width;
    }
    double width = max(dwidth, 60);
    return Container(
      height: 66,
      child: ListView(
        scrollDirection: Axis.horizontal,
        padding: EdgeInsets.all(0),
        children: List.generate(
          widget.list.length,
          (index) => Container(
            height: 66,
            alignment: Alignment.center,
            width: widget.widths != null && widget.widths[index] != null
                ? index > 0 && index < widget.list.length - 1
                    ? max(widget.widths[index], width)
                    : min(widget.widths[index], width)
                : width,
            padding: EdgeInsets.symmetric(vertical: 10),
            child: Column(
              children: [
                Text(
                  widget.list[index],
                  maxLines: 1,
                  overflow: TextOverflow.ellipsis,
                  style: TextStyle(
                    fontSize: widget.fontSize,
                    color: widget.step == index ||
                            (widget.step >= widget.list.length - 1 &&
                                index == widget.list.length - 1)
                        ? widget.activeColor
                        : widget.step >= index
                            ? Color(0xff343434)
                            : widget.step + 1 == index && widget.status == 1
                                ? widget.handleColor
                                : Color(0xff999999),
                  ),
                ),
                Padding(padding: EdgeInsets.only(top: 10)),
                Container(
                  height: 12,
                  alignment: Alignment.center,
                  child: Row(
                    children: [
                      Expanded(
                        child: index > 0
                            ? Container(
                                height: 0.5,
                                color: widget.step >= index
                                    ? widget.activeColor
                                    : widget.step == index - 1 &&
                                            widget.status == 1
                                        ? widget.handleColor
                                        : Color(0xffe3e3e3),
                              )
                            : Container(),
                        flex: 1,
                      ),
                      Padding(
                        padding: EdgeInsets.only(left: 7),
                      ),
                      widget.step == index ||
                              (widget.step >= widget.list.length - 1 &&
                                  index == widget.list.length - 1)
                          ? Icon(
                              IconData(widget.status == 1 ? 0xe6b3 : 0xe77d,
                                  fontFamily: 'MilluiIcons'),
                              size: 12,
                              color: widget.activeColor,
                            )
                          : Container(
                              height: 5,
                              width: 5,
                              decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(5),
                                color: widget.step > index
                                    ? widget.activeColor
                                    : widget.step + 1 == index &&
                                            widget.status == 1
                                        ? widget.handleColor
                                        : Color(0xff999999),
                              ),
                            ),
                      Padding(
                        padding: EdgeInsets.only(left: 7),
                      ),
                      Expanded(
                        child: index < widget.list.length - 1
                            ? Container(
                                height: 0.5,
                                color: widget.step > index
                                    ? widget.activeColor
                                    : widget.step == index && widget.status == 1
                                        ? widget.handleColor
                                        : Color(0xffe3e3e3),
                              )
                            : Container(),
                        flex: 1,
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
